# -*- coding: utf-8 -*-
"""
    demeter database
    name:hardware.py
    author:rabin
"""
from .__load__ import *

class Setting_product(Model):
	__table__ = 'setting_product'
	__comment__ = '产品表-对应旧版本硬件类型表'
	id = Fields(type='int', primaryKey=True, autoIncrement=True, comment='产品ID')
	name = Fields(type='varchar(50)', comment='产品名称')
	key = Fields(type='varchar(50)', comment='产品标识')
	agreement = Fields(type='int', comment='接入协议1mqtt2modbus---废弃')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')